#include <iostream>
#include <cmath>
#include <algorithm>
using namespace std;
int main()
{
int m, n;
cin>>n>>m;
int druzeljubivost[n];
int volese[m]][m];
int i=0;
for(i=0;i<n;i++)
{
    cin>>druzeljubivost[i];
}
int k=0;
for(i=0;i<m;i++)
{
  for(k=0;k<2;k++)
  {
   cin>>volese[i][k];
  }
}
int brojac[n];
i=0;
k=0;
int j=0;
int najveci;
int z=0;
int tv1, tv2, v1, v2;
int najmanji;
for(i=0;i<m;i++)
{
 tv1=volese[i][0];
 tv2=volese[i][1];
 p=druzeljubivost[tv1]*druzeljubivost[tv2];
 v1=abs(druzeljubivost[tv1]);
 v2=abs(druzeljubivost[tv2]);
 najveci=max(v1, v2);
 najmanji=min(v1, v2);
 if(p>=0)
 {
   z=z+v1+v2;
 }
 else(p<0)
 {
   z=z+najveci-najmanji;
 }
}

cout<<z;

}